Page MenuHomePhabricator

Move cache upload cluster from nginx to ats-tls
Open, NormalPublic

Description

After some tests on cp5001, we are in position of moving the upload cluster from nginx to ats-tls

Event Timeline

Vgutierrez triaged this task as Normal priority.Wed, Aug 28, 11:38 AM
Vgutierrez created this task.
Vgutierrez moved this task from Triage to TLS on the Traffic board.

Change 532984 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] hiera: Move nginx from port 443 to 4443 on cp2002

https://gerrit.wikimedia.org/r/532984

Change 532985 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] hiera: Move ats-tls from port 8443 to port 443 on cp2002

https://gerrit.wikimedia.org/r/532985

Change 532987 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] hiera: Move nginx from port 443 to 4443 on cp1076

https://gerrit.wikimedia.org/r/532987

Change 532988 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] hiera: Move ats-tls from port 8443 to 4443 on cp1076

https://gerrit.wikimedia.org/r/532988

Change 532989 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] hiera: Move nginx from port 443 to port 4443 on cp3034

https://gerrit.wikimedia.org/r/532989

Change 532990 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] hiera: Move ats-tls from port 8443 to port 443 on cp3034

https://gerrit.wikimedia.org/r/532990

Change 532991 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] hiera: Move nginx to port 4443 on cp4021

https://gerrit.wikimedia.org/r/532991

Change 532992 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] hiera: Move ats-tls from port 8443 to port 443 on cp4021

https://gerrit.wikimedia.org/r/532992

Mentioned in SAL (#wikimedia-operations) [2019-09-03T04:28:48Z] <vgutierrez> Switching cp2002 from nginx to ats-tls - T231433

Change 532984 merged by Vgutierrez:
[operations/puppet@production] hiera: Move nginx from port 443 to 4443 on cp2002

https://gerrit.wikimedia.org/r/532984

Mentioned in SAL (#wikimedia-operations) [2019-09-03T04:36:01Z] <vgutierrez> upgrading ATS to 8.0.5-1wm4 on cp2002 - T231433

Change 532985 merged by Vgutierrez:
[operations/puppet@production] hiera: Move ats-tls from port 8443 to port 443 on cp2002

https://gerrit.wikimedia.org/r/532985

Mentioned in SAL (#wikimedia-operations) [2019-09-03T04:49:39Z] <vgutierrez> repooling cp2002 - T231433

Mentioned in SAL (#wikimedia-operations) [2019-09-05T03:57:32Z] <vgutierrez> switching cp1076 from nginx to ats-tls - T231433

Change 532987 merged by Vgutierrez:
[operations/puppet@production] hiera: Move nginx from port 443 to 4443 on cp1076

https://gerrit.wikimedia.org/r/532987

Mentioned in SAL (#wikimedia-operations) [2019-09-05T04:02:26Z] <vgutierrez> upgrading ATS to 8.0.5-1wm5 on cp1076 - T231433

Change 532988 merged by Vgutierrez:
[operations/puppet@production] hiera: Move ats-tls from port 8443 to 4443 on cp1076

https://gerrit.wikimedia.org/r/532988

Mentioned in SAL (#wikimedia-operations) [2019-09-05T04:20:11Z] <vgutierrez> switching cp3034 from nginx to ats-tls - T231433

Change 532989 merged by Vgutierrez:
[operations/puppet@production] hiera: Move nginx from port 443 to port 4443 on cp3034

https://gerrit.wikimedia.org/r/532989

Change 532990 merged by Vgutierrez:
[operations/puppet@production] hiera: Move ats-tls from port 8443 to port 443 on cp3034

https://gerrit.wikimedia.org/r/532990

Mentioned in SAL (#wikimedia-operations) [2019-09-05T04:31:56Z] <vgutierrez> upgrading ATS to 8.0.5-1wm5 on cp3034 - T231433

Mentioned in SAL (#wikimedia-operations) [2019-09-05T04:37:43Z] <vgutierrez> switching cp4021 from nginx to ats-tls - T231433

Change 532991 merged by Vgutierrez:
[operations/puppet@production] hiera: Move nginx to port 4443 on cp4021

https://gerrit.wikimedia.org/r/532991

Mentioned in SAL (#wikimedia-operations) [2019-09-05T04:42:45Z] <vgutierrez> upgrading ATS to 8.0.5-1wm5 on cp4021 - T231433

Change 532992 merged by Vgutierrez:
[operations/puppet@production] hiera: Move ats-tls from port 8443 to port 443 on cp4021

https://gerrit.wikimedia.org/r/532992

Mentioned in SAL (#wikimedia-operations) [2019-09-05T09:04:01Z] <vgutierrez> rolling back from ats-tls to nginx on cp3034 - T231433

Mentioned in SAL (#wikimedia-operations) [2019-09-05T09:26:31Z] <vgutierrez> rolling back from ats-tls to nginx on cp1076 - T231433

Change 534831 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] ATS: Disable server session sharing across clients on TLS instance

https://gerrit.wikimedia.org/r/534831

ayounsi removed a subscriber: ayounsi.Mon, Sep 9, 1:03 PM

Change 534831 merged by Vgutierrez:
[operations/puppet@production] ATS: Disable server session sharing across clients on TLS instance

https://gerrit.wikimedia.org/r/534831

Change 536967 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] hiera: Move nginx from port 443 to port 4443 on cp3034

https://gerrit.wikimedia.org/r/536967

Change 536968 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] hiera: Move ats-tls from port 8443 to port 443 on cp3034

https://gerrit.wikimedia.org/r/536968

Mentioned in SAL (#wikimedia-operations) [2019-09-16T08:57:44Z] <vgutierrez> replacing nginx with ATS in cp3034 (upload cluster) - T231433

Change 536967 merged by Vgutierrez:
[operations/puppet@production] hiera: Move nginx from port 443 to port 4443 on cp3034

https://gerrit.wikimedia.org/r/536967

Change 536968 merged by Vgutierrez:
[operations/puppet@production] hiera: Move ats-tls from port 8443 to port 443 on cp3034

https://gerrit.wikimedia.org/r/536968

Change 537365 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] hiera: Move nginx from port 443 to 4443 on cp1076

https://gerrit.wikimedia.org/r/537365

Change 537366 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] hiera: Move ats-tls from port 8443 to 4443 on cp1076

https://gerrit.wikimedia.org/r/537366

Mentioned in SAL (#wikimedia-operations) [2019-09-17T10:44:13Z] <vgutierrez> replacing nginx with ATS in cp1076 (upload cluster) - T231433

Change 537365 merged by Vgutierrez:
[operations/puppet@production] hiera: Move nginx from port 443 to 4443 on cp1076

https://gerrit.wikimedia.org/r/537365

Change 537366 merged by Vgutierrez:
[operations/puppet@production] hiera: Move ats-tls from port 8443 to 443 on cp1076

https://gerrit.wikimedia.org/r/537366

Change 538231 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] ATS: Provide HTTPS check

https://gerrit.wikimedia.org/r/538231